Subject: bug#72238: 31.0.50; Segfault after treesit_delete_query

From: john muhl <[email-masked]>
Date: Sun, 21 Jul 2024 17:24:05 -0500

Noah Peart <[email-masked]> writes:

> After recent build, emacs is crashing frequently when using tree-sitter
> modes.
>
> The following backtrace was generated after opening a few C files,
> enabling c-ts-mode, and moving the cursor around a bit. I dont have
> precise steps for repeatability at this point (sorry!), as it seems to
> occur during garbage collection.
>
> Let me know if there is more useful output I could provide.

Could you try reverting 1abf3bdd7ed and see if that helps?